
local homeVJR = ...
homeVJR:override({
    Id = "BUILDING_PART_HOUSING_SERF_DENSITY_1",
	Name = "ESSAI_NAME",
	Description = "ESSAI_DESC",
	Category = "CORE",
--	BuildingZone = { 4, 8},
--
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
                    Action = "APPEND",
                    "HOME_VJR_V3_HOME2_PART"
                }
	}
})
homeVJR:override({
    Id = "BUILDING_PART_HOUSING_SERF_DENSITY_2",
	Name = "ESSAI_NAME",
	Description = "ESSAI_DESC",
	Category = "CORE",
--	BuildingZone = { 4, 8},
--
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
                    Action = "APPEND",
                    "HOME_VJR_V3_HOME1_PART",
                    "HOME_VJR_V3_HOME3_PART",
                    "HOME_VJR_V3_HOME4_PART"
                }
	}
})
homeVJR:override({
    Id = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2",
	Name = "ESSAI_NAME",
	Description = "ESSAI_DESC",
	Category = "CORE",
--	BuildingZone = { 4, 8},
--
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
                    Action = "APPEND",
                    "HOME_VJR_V3_HOME5_PART"
                }
	}
})

function registerBuilding(_fbxName, _buildingAssetId, _buildingZone)
    homeVJR:registerAssetProcessor("models/" .. _fbxName .. ".fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
    })

-- Register common prefab nodes
    homeVJR:registerAssetId("models/" .. _fbxName .. ".fbx/Prefab/homePart", "HOME_VJR_V3" .. _buildingAssetId .. "_PREFAB")

--homeVJR:register({
--	DataType = "VILLAGER_PROFILE",
--	Id = "PROFILE_VILLAGER",
--        Behavior = "WORK_BEHAVIOR",
--        StatusList = { "NEWCOMER", "SERF", "COMMONER", "CITIZEN" },
--        ProfileName = "villagerJrv",
--        ProfileFunction = AGENT_PROFILE_FUNCTION_SOLDIER
--})

--homeVJR:register({
--	DataType = "DESIRABILITY",
--	Id = "HouseJrv",
--        ZoneType = "RESIDENTIAL",
--        Visible = true,
--        DefaultValue = 1.0,
--        HasBaseDesirabilityBuffer = true
--})

--homeVJR:register({
--	DataType = "RESOURCE",
--	Id = "ResourceHomeJrv",
--        Icon = "ILLUSTRATION_ESTATE_LABOR",
--        ResourceType = "PRIMARY_NEED",
--        ConsumptionBehaviorOverride = "WORK_BEHAVIOR" 
--})

    homeVJR:register({
--Déclare que l'objet que l'on crée appartient à la class BUILDING_PART
	DataType = "BUILDING_PART",
--Créé l'objet
	Id = "HOME_VJR_V3" .. _buildingAssetId .. "_PART",
	Name = "HOME_VJR_V3" .. _buildingAssetId .. "_NAME",
	Description = "HOME_VJR_V3" .. _buildingAssetId .. "_DESC",
	Category = "CORE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
--on déclare d'aller chercher "HOME_VJR_V3" .. _buildingAssetId .. "_PREFAB" pour construire l'object final ( c'est dans le Fbx )
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "HOME_VJR_V3" .. _buildingAssetId .. "_PREFAB"
	},
--Déclaration de la taille de la zone de construction ( c'est un masque qui cache la zone de futur construction pour faire passer devant le decor votre object" veiller a la faire a la bonne taille ..pas bloquant
	BuildingZone = _buildingZone,
--Ca c'est pour déclarer le visuel de construction si il y en a un !
	ConstructionVisual = "HOME_VJR_V3" .. _buildingAssetId .. "_PREFAB",
--Les ressources nécessaires.
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 }
		}
	}--,
--        VillagerCapacity = 4--,
--	Housing = "BUILDING_PART_HOUSING_SERF_DENSITY_2" --"HOME_VJR_V3_FUNCTION"
    })
--    homeVJR:register({
--		DataType = "BUILDING_PART_HOUSING_SERF_DENSITY_2", --"BUILDING_FUNCTION_HOUSE",
--                Id = "HOME_VJR_V3_FUNCTION"
--                RelatedDesirability = "HouseJrv",
--                ResourceGenerated = "ResourceHomeJrv",
--                RelatedZone = "RESIDENTIAL",
--                CompatibleProfileList = { "PROFILE_VILLAGER" }
--,
--                BuildingUpgradeList = { "HOMEVJR3_PART" }
--	}
--    })

    homeVJR:registerPrefabComponent("models/" .. _fbxName .. ".fbx/Prefab/homePart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {4, 8}
    })

    homeVJR:registerAssetId("models/" .. _fbxName .. ".fbx/Prefab/homePart/step_2/cheminee/SmokeEmitter", "HOME_VJR_V3" .. _buildingAssetId .. "_SMOKE_EMITTER_PREFAB")

    homeVJR:registerPrefabComponent("models/" .. _fbxName .. ".fbx/Prefab/homePart", {
	DataType = "COMP_BUILDING_PART",
	FeedbackComponentListToActivate = {
                 { "HOME_VJR_V3" .. _buildingAssetId .. "_SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
    })

-- Register air vent particle system
    homeVJR:registerPrefabComponent("models/" .. _fbxName .. ".fbx/Prefab/homePart/step_2/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
    })

    homeVJR:registerPrefabComponent("models/" .. _fbxName .. ".fbx/Prefab/homePart/step_2/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
    })

    homeVJR:registerPrefabComponent("models/" .. _fbxName .. ".fbx/Prefab/homePart/step_0/porte", {
	DataType = "COMP_GROUNDED"
    })
end

registerBuilding("Home1", "_HOME1", { 4, 8 })
registerBuilding("Home2", "_HOME2", { 3, 7 })
registerBuilding("Home3", "_HOME3", { 8, 8 })
registerBuilding("Home4", "_HOME4", { 4, 8 })
registerBuilding("Home5", "_HOME5", { 4, 6 })
--------------------------------------------------------------------------
